<p align="center">
  <a href="#">
    <img 
      src="https://user-images.githubusercontent.com/69644334/155681126-348b4471-51b6-4888-b28e-956af7dc2b46.svg"
      alt="Gray shape shifter" height="80"
    />
  </a>
</p>
<h1 align="center">Fernosa</h1>

<p align="center">Flexible CSS Framework Packed With Responsive Components And Utility</p>
<p align="center">Join Our Discord For Help: https://discord.gg/9VgwJetEvG</p>
<p align="center">Documentation: Soon (Currently Available On Discord)</p>
<p align="center"> Note: This library is still under development so most of features might not work yet </p>
<br><br>

# 👀 Why Fernosa?

<font align="left" size="3">
  <ul>
    <li>Fernosa is an open-source CSS library under development.</li>
    <li>It is customizable to the brink, allowing you to change the colours according to your colour palette, and based on that, the components will be generated.</li>
    <li>You can also make the most of the utility classes we provide to change the components to what you find suitable.</li>
    <li>It comes packed with beautiful and completely responsive components that can be used in your commercial and personal projects.</li>
    <li>Fernosa also gives you the freedom to use a lot of CSS effects that we provide, like neon, hover effects, etc.</li>
    <li>If you want to speed up your work without wasting hours customising components, Fernosa is for you.</li>
  </ul>
</font>

<br>

# 🤔 How TO Use It?

You can use Fernosa by linking the following stylesheet in your html `<head>` tag.
<br>

```html
<link
  rel="stylesheet"
  href="https://cdn.jsdelivr.net/gh/Fernosa/FernosaCSS@main/FernosaCSS/fernosa.css"
/>
```

  <br>
  Join our discord if you encounter any issues. our team will gladly assist you.
  <br><br>

# 🙄 How to customize colors?

1.  Download the Visual studio code extension: [Live Sass Compiler](https://marketplace.visualstudio.com/items?itemName=ritwickdey.live-sass)

2.  Download the SCSS file: [Here](https://github.com/Fernosa/FernosaCSS/blob/main/Fernosa/fernosa.scss)

3.  In the scss file, simply edit the theme colors variables to suit your color theme
<br>
<br>
<img src="https://i.imgur.com/lj3U0Xc.png" />

<br>
# Example:
<br>
Try adding color gold and set it's color value to #FFD700
<br>
<br>
<img src="https://i.imgur.com/tWYbNNh.png"/>
<br>
<br>
Once you setup the color palette, click on watch sass which appears on the bottom.
<img src="https://user-images.githubusercontent.com/69644334/154828106-453da218-27e1-4f4a-9b74-459a9c7ddb34.png" />

<br>
<br>
Final step
<font size="3">
Link the compiled css the sass compiler generates, to the html!
<br>
  
```html
<link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>
```
  
Link this fontawesome CDN inside the head 
  
<br>
  
Also link the javascript CDN 
  
```html
    <script src="https://cdn.jsdelivr.net/gh/Fernosa/FernosaCSS@main/scripts/fernosa.js"></script>
```
  
That's it!
<br>
Wollah! It will start working, Happy Hacking!
</font>
